#!/usr/bin/perl

use File::Find;

my $dir = "./Music/";
my $idx = 1;

open(TRACK_LUA, ">CombatCaddyTracks.lua") or die $!;
print(TRACK_LUA "CombatCaddy.TRACKS = {};\n");

find({wanted => \&write_lua, no_chdir => 1}, $dir);

print(TRACK_LUA "\nfunction CombatCaddy:GetNumTracks() return $idx-1; end\n");
print(TRACK_LUA "\nfunction CombatCaddy:GetTrack(n) return CombatCaddy.TRACKS[n]; end\n");

print("Done!\n");

sub write_lua() {
	if ( -f and /.mp3?/ ) {
		my $str = $_;
		$str =~ s/.\/Music\///;

		print("Adding Track #$idx -- $str\n");
		print(TRACK_LUA "CombatCaddy.TRACKS[$idx] = \"$str\"\n");
		$idx = $idx + 1;
	}
}
